2020-05-03  Jeremy Sowden <jeremy@azazel.net>

	* configure.ac: bump version to 0.7.3.

2020-05-03  Jeremy Sowden <jeremy@azazel.net>

	* src/Makefile.am: bump library version to 3.0.1.

2020-05-03  Jeremy Sowden <jeremy@azazel.net>

	* src/wmgeneral.c, src/wmgeneral.h: fix multiple definitions of
	global variable.  The `display` variable is declared in
	wmgeneral.h with no explicit linkage.  This may result in there
	being definitions of it in the library and the object-files of
	applications which link against it, which causes link failures
	when building these applications with GCC 10, since this uses
	-fno-common by default.  Add `extern` to the header declaration
	and a separate declaration with no linkage in wmgeneral.c where it
	is initialized.

2020-05-03  Jeremy Sowden <jeremy@azazel.net>

	* Makefile.am, autogen: add autogen.

2019-06-13  Jeremy Sowden <jeremy@azazel.net>

	* src/daargs.c: removed assertion that short-form options have
	length 2.  The mixed-option parsing code includes an assertion
	that short-form options have a length of two.  However, there is
	no other validation of this requirement and some dock-apps do not
	comply with it, which means that if one exec's them with an
	unrecognized option or a mix of short options, the assertion fails
	and the app aborts.  For example:

	  $ /usr/bin/wmail --help | grep '\<display\>'
	  -display <string>            display to use
	  $ /usr/bin/wmail --blah
	  wmail: daargs.c:126: contains: Assertion `strlen(needle) == 2' failed.
	  Aborted

	Since there is no explicit statement of this requirement, let's
	replace the assertion with a conditional.

2019-01-04  Anil N' via Window Maker Development <wmaker-dev@googlegroups.com>

	* src/damain.c: Fix for missing windowname and one more.
	- "Untitled window" appears in xfce4-wmdock-plugin's enumeration
	of dockapps using libdockapp.
	- Reference to string buffer that might not live long enough.

2018-06-27  Doug Torrance <dtorrance@piedmont.edu>

	* Makefile.am, NEWS: Update old windowmaker.org/dockapps urls to
	dockapps.net

2018-05-14  Doug Torrance <dtorrance@piedmont.edu>

	* NEWS, configure.ac: Update mailing list links to new Google
	Groups.

2017-08-31  Doug Torrance <dtorrance@piedmont.edu>

	* src/dapixmap.c, src/dockapp.h: Add DAMakeShapeFromData() and
	DAMakeShapeFromFile() functions.  libdockapp supports shaped
	dockapps with the DASetShape() function, but this function
	requires as input a bitmap.  Previously, there was no support for
	creating such a bitmap from XBM data without using Xlib directly.
	We add two functions, DAMakeShapeFromData(), which is a wrapper
	around XCreateBitmapFromData and allows developers to #include XBM
	data, and DAMakeShapeFromFile(), which is a wrapper around
	XReadBitmapfile and lets developers specify the path to an XBM
	file.

2017-08-30  Doug Torrance <dtorrance@piedmont.edu>

	* src/daargs.c, src/daargs.h, src/damain.c: Make
	DAParseArguments() optional.  Some dockapps may want to handle
	command line options themselves, so we make this function
	optional.  Previously, if this function was skipped, then a
	segfault would result when trying to access the _daContext global
	while first creating the dockapp window.  Now we check if
	_daContext has been initialized first, and if not, we initialize
	it.

2017-08-12  Doug Torrance <dtorrance@piedmont.edu>

	* Makefile.am: Use Requires.private in pkg-config file to avoid
	overlinking.

2017-04-27  Doug Torrance <dtorrance@piedmont.edu>

	* src/damain.c: Don't withdraw dockapps in windowed mode.  In
	Window Maker, windows with application class "DockApp" are
	automatically withdrawn.  We don't want this in windowed mode. We
	use the application name instead, with the usual convention of
	capitalizing the initial letter.

2017-04-26  Doug Torrance <dtorrance@piedmont.edu>

	* src/wmgeneral.c: Do not include pathnames in Window Name and
	Class Properties Patch by Corin-EU from GitHub [1].  In
	libdockapps file wmgeneral.c, wname is set from argv[0] and is
	then used to set the window name and class resource. Often
	applications are called with their full path which then means that
	the window name has a path in it, thereby requiring an unwieldy
	path specific string for "Name" in WMState if the applet is to be
	captured in the WM dock.  The simple solution is that wname should
	be the basename of argv[0] to ensure that the window name for the
	applet is the simple and obvious one.  Thus the inclusion of
	header file libgen.h is required.  Just say "no" to path slashes
	"/" in window name/class resources ....

	[1] https://github.com/d-torrance/dockapps/issues/5

2015-10-20  Doug Torrance <dtorrance@piedmont.edu>

	* configure.ac: Bump to version 0.7.2.

2015-10-20  Doug Torrance <dtorrance@piedmont.edu>

	* Makefile.am: Clean generated file dockapp.pc.
	Based on the Debian patch [1].

	[1] https://sources.debian.net/src/1:0.7.1-1/debian/patches/
	    clean_dockapp.pc.patch/

2015-10-20  Doug Torrance <dtorrance@piedmont.edu>

	* configure.ac, src/Makefile.am:
	Remove AC_PATH_XTRA macro from configure.ac
	We already check for libraries with the PKG_CHECK_MODULES macros.
	This also allows the Debian package to drop the Build-Depend on
	libice-dev.  Based on the Debian patch [1].

	[1] https://sources.debian.net/src/1:0.7.1-1/debian/patches/
	    remove_AC_PATH_XTRA.diff/

2015-10-20  Doug Torrance <dtorrance@piedmont.edu>

	* Recompress fonts without timestamp.
	This fixes the package-contains-timestamped-gzip warning given by
	Lintian for the Debian package.  (This warning is really
	unnecessary, as its purpose it to check for reproducible builds and
	the fonts are not compressed at build time, but I see no harm in
	removing these timestamps.)

2015-10-17  Doug Torrance <dtorrance@piedmont.edu>

	* configure.ac: Bump to version 0.7.1.

2015-10-17  Doug Torrance <dtorrance@piedmont.edu>

	* Makefile.am: Update update-changelog target in Makefile.
	Only grab libdockapp commits.

2015-10-17  Doug Torrance <dtorrance@piedmont.edu>

	* examples/basic/basic.c, examples/rectangles/rectangles.c: Update
	header location in examples.

2015-10-09  Shining <wmaker-dev@linuxcondom.net>

	* README: Simplify instructions to generate a ./configure script.
	Based on suggestions by Alexey Frolov and BALATON Zoltan.

2015-10-05  Shining <wmaker-dev@linuxcondom.net>

	* README: Info about generating 'configure' script in README.
	In the README it is said to run ./configure but there's no such
	script in the tarball. I wrote instructions to generate a
	./configure with libtool and autotools.

2015-08-15  Rodolfo García Peñas (kix) <kix@kix.es>

	* Include libwmgeneral in libdockapp.
	This patch includes the libwmgeneral library in the libdockapp library.
	The new library is now version 3 (previous was version 2) and it
	includes the new include folder in $libdir/libdockapp.  The wmgeneral
	files were moved from the previous folder (libwmgeneral) and the folder
	is now removed.
	Signed-off-by: Rodolfo García Peñas (kix) <kix@kix.es>

2014-11-28  Doug Torrance <dtorrance@monmouthcollege.edu>

	* NEWS, configure.ac: Release version 0.6.4.

2014-11-28  Doug Torrance <dtorrance@monmouthcollege.edu>

	* Makefile.am, NEWS, configure.ac: Update contact information.

2014-11-28  Doug Torrance <dtorrance@monmouthcollege.edu>

	* Add update-changelog target to Makefile to update ChangeLog.

2014-11-25  Doug Torrance <dtorrance@monmouthcollege.edu>

	* ChangeLog, NEWS, examples/basic/basic.c, src/dockapp.h:
	Merge ChangeLog into NEWS (they were largely the same).

2014-11-25  Doug Torrance <dtorrance@monmouthcollege.edu>

	* examples/basic/basic.c: Add #include
	<time.h> to basic example.

	Otherwise, we get the following compiler warning
	basic.c: Infunction ‘main’: basic.c:111:2: warning: implicit
	declaration of function ‘time’ [-Wimplicit-function-declaration]
	  srandom(time(NULL));
	  ^

2014-11-25  Doug Torrance <dtorrance@monmouthcollege.edu>

	* README, examples/Makefile.am, examples/basic/Imakefile,
	examples/basic/Makefile, examples/rectangles/Imakefile,
	examples/rectangles/Makefile: Replace example
	Imakefiles with Makefiles.  imake is deprecated.

2014-11-25  Doug Torrance <dtorrance@monmouthcollege.edu>

	* examples/basic/basic.c, examples/rectangles/rectangles.c,
	src/daargs.c, src/daargs.h, src/dacallback.c, src/dacolor.c,
	src/daevent.c, src/damain.c, src/dapixmap.c, src/darect.c,
	src/dashaped.c, src/dautil.c, src/dockapp.h: Use consistent code
	formatting.

	Used uncrustify to minimize warnings and errors from checkpatch.pl
	in the Window Maker source tree.

2014-11-25  Doug Torrance <dtorrance@monmouthcollege.edu>

	* examples/basic/Imakefile, examples/basic/basic.c,
	examples/rectangles/Imakefile, examples/rectangles/rectangles.c,
	src/Makefile.am, src/daargs.c, src/daargs.h, src/dacallback.c,
	src/dacolor.c, src/daevent.c, src/damain.c, src/dapixmap.c,
	src/darect.c, src/dashaped.c, src/dautil.c, src/dautil.h,
	src/dockapp.h: Remove CVS cruft.

2014-11-25  Doug Torrance <dtorrance@monmouthcollege.edu>

	* examples/basic/Imakefile, examples/basic/README,
	examples/basic/basic.c,	examples/rectangles/Imakefile,
	examples/rectangles/rectangles.c, fonts/Makefile.am, src/dacallback.c,
	src/dacolor.c, src/daevent.c, src/damain.c, src/dapixmap.c,
	src/dashaped.c, src/dockapp.h: Remove trailing whitespace.

2014-11-24  Doug Torrance <dtorrance@monmouthcollege.edu>

	* INSTALL, Makefile.in,	aclocal.m4, compile, config.guess,
	config.sub, configure, dockapp.pc, examples/Makefile.in,
	fonts/Makefile.in, install-sh, ltmain.sh, missing, src/Makefile.in:
	Remove autotools-generated files.

2014-11-24  Doug Torrance <dtorrance@monmouthcollege.edu>

	* Add version 0.6.3 to repository.

	Obtained from:
	http://sourceforge.net/projects/files/
	libdockapp-0.6.3.tar.gz/download

** Changes above this point from git log in dockapps git repository. **

2014-06-06  Doug Torrance <dtorrance@monmouthcollege.edu>

	* ChangeLog, NEWS: updated Changelog and NEWS files with new version

2014-06-06  Doug Torrance <dtorrance@monmouthcollege.edu>

	* Makefile.am: add xext to dockapp.pc

2014-06-06  Doug Torrance <dtorrance@monmouthcollege.edu>

	* configure.ac, src/Makefile.am: add xpm to linked libraries

2014-06-06  Doug Torrance <dtorrance@monmouthcollege.edu>

	* .gitignore, autogen.sh, do_verify.sh: add more autotools-generated
	files to .gitignore

2014-06-06  Doug Torrance <dtorrance@monmouthcollege.edu>

	* configure.ac, src/Makefile.am: use pkg-config for linked libraries

2014-05-02  Doug Torrance <dtorrance@monmouthcollege.edu>

	* Makefile.am: added BUGS to distribution tarball

2014-05-02  Doug Torrance <dtorrance@monmouthcollege.edu>

	* .gitignore: Update .gitignore (add configure.no-verify).

2014-05-01  Doug Torrance <dtorrance@monmouthcollege.edu>

	* .gitignore, Makefile.am: Add pkg-config dockapp.pc file.

2014-05-01  Doug Torrance <dtorrance@monmouthcollege.edu>

	* configure.ac: Modernize configure.ac.

2014-05-01  Doug Torrance <dtorrance@monmouthcollege.edu>

	* .gitignore, Makefile.in, aclocal.m4, compile, config.guess,
	config.sub, configure, examples/Makefile.in, fonts/Makefile.in,
	ltmain.sh, missing, src/Makefile.in: Remove autotools-generated
	files, update .gitignore.

2014-05-01  Doug Torrance <dtorrance@monmouthcollege.edu>

	* fonts/Makefile.am: Actually added fonts to distribution tarball.
	Despite the commit message of the previous commit, this was not
	done.  Now it is.

2014-05-01  Doug Torrance <dtorrance@monmouthcollege.edu>

	* configure.ac, fonts/Makefile.am, fonts/fonts.alias,
	fonts/fonts.dir: Various changes to `make install' of fonts.
	 * Use font-util macros.
	 * Include fonts in distribution tarball.
	 * Removed fonts.dir (built by `make install') and fonts.alias (empty
	   file).

2014-04-30  Doug Torrance <dtorrance@monmouthcollege.edu>

	* examples/Makefile.am: rewrite examples Makefile.am to ensure they
	are included in the tarball

2014-04-30  Doug Torrance <dtorrance@monmouthcollege.edu>

	* INSTALL, Makefile.in, aclocal.m4, compile, config.guess,
	config.sub, configure, configure.ac, configure.in,
	examples/Makefile.in, fonts/Makefile.in, install-sh, ltmain.sh,
	missing, src/Makefile.in: rename configure.in -> configure.ac

2014-04-30  Doug Torrance <dtorrance@monmouthcollege.edu>

	* .gitignore: added .gitignore

2014-04-30  Doug Torrance <dtorrance@monmouthcollege.edu>

	* CVS/Entries, CVS/Repository, CVS/Root, autom4te.cache/output.0,
	autom4te.cache/output.1, autom4te.cache/requests,
	autom4te.cache/traces.0, autom4te.cache/traces.1,
	examples/CVS/Entries, examples/CVS/Repository, examples/CVS/Root,
	examples/basic/CVS/Entries, examples/basic/CVS/Repository,
	examples/basic/CVS/Root, examples/rectangles/CVS/Entries,
	examples/rectangles/CVS/Repository, examples/rectangles/CVS/Root,
	examples/shapes/CVS/Entries, examples/shapes/CVS/Repository,
	examples/shapes/CVS/Root, fonts/CVS/Entries, fonts/CVS/Repository,
	fonts/CVS/Root, src/CVS/Entries, src/CVS/Repository, src/CVS/Root:
	Removed CVS directories

2014-04-24  Doug Torrance <dtorrance@monmouthcollege.edu>

	* Initial commit

** Changes above this point from git log in sourceforge git repository. **
